# norootforbuild

%define  realname    libdvdplay
%define  soname      0

Name:           %{realname}%{soname}
Version:        1.0.1
Release:        150400.5.pm.3
License: GPL-2.0
Group:          Productivity/Multimedia/Other
Summary:        A Portable Abstraction Library for DVD Menu Support
URL:            http://developers.videolan.org/libdvdplay/

Source0:        http://www.videolan.org/pub/%{realname}/%{version}/%{realname}-%{version}.tar.bz2
Patch0:         libdvdplay.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  autoconf automake libtool
BuildRequires:  libdvdread-devel


%description
libdvdplay is a portable abstraction library for DVD menu support. It
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay runtime library.


%package -n %{realname}-devel
Summary:        A portable abstraction library for DVD menus support
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n %{realname}-devel
Libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay static libraries and header files.


%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so.*
%doc COPYING

%files -n %{realname}-devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Dec 23 2008 - Detlef Reichelt <detlef@links2linux.de> <1.0.1>-<0.pm.5>
- rebuild with new libdvdread
* Tue Apr 29 2008 - Detlef Reichelt <detlef@links2linux.de> <1.0.1>-<0.pm.3>
- shared library policy
* Sun Nov 12 2006 - detlef@links2linux.de
- first build for packman
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Mar 24 2003 - stark@suse.de
- initial package version 1.0.1
